|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionTitleBar Class Reference

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar. More...

    #include <QStyleOptionTitleBar>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Properties

- icon : const QIcon
- text : const QString
- titleBarFlags : const Qt::WFlags
- titleBarState : const int

- 2 properties inherited from QStyleOptionComplex
- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionTitleBar ()
- QStyleOptionTitleBar ( const QStyleOptionTitleBar & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar.

The QStyleOptionTitleBar class is used to draw the title bars of QWorkspace's MDI children.

## Property Documentation

### icon : const QIcon

This property holds the icon for the title bar.

### text : const QString

This property holds the text of the title bar.

### titleBarFlags : const Qt::WFlags

This property holds the widget flags for the title bar.

See also Qt::WFlags.

### titleBarState : const int

This property holds the state of the title bar.

This is basically the window state of the underlying widget.

See also QWidget::windowState().

## Member Function Documentation

### QStyleOptionTitleBar::QStyleOptionTitleBar ()

Constructs a QStyleOptionTitleBar. The members variables are initialized to default values.

### QStyleOptionTitleBar::QStyleOptionTitleBar ( const QStyleOptionTitleBar & other )